Retrieve Provision Token Request

Check the status of a [`create_payment_token`](/api-reference/payment-tokens/create-payment-token) or [`update_payment_token`](/api-reference/payment-tokens/update-payment-token) API calls. The `retrieve_provision_token_request` endpoint returns details about the request to create or update a `payment_token`. This endpoint is only provided as a fall back to the [`payment_token_updated`](/api-reference/payment-tokens/payment-token-updated-webhook) webhook and is only necessary for as fallback for the [`payment_token_updated`](/api-reference/payment-tokens/payment-token-updated-webhook) webhook. ## Request Notes **Path Params:** - **provision_token_request_id** (Required): The `provision_token_request_id` string returned by Truemed to the partner either: - in response to a [`create_payment_token`](/api-reference/payment-tokens/create-payment-token) request - in a response to a [`update_payment_token`](/api-reference/payment-tokens/update-payment-token) request ## Response Notes ### Success Case **HTTP Status: 200** - **payment_token** (Optional): string - the `payment_token` created as part of the `provision_request`, if one exists. Null otherwise. - Use the [`retrieve_payment_token`](/api-reference/payment-tokens/retrieve-payment-token) endpoint to get more information on the token. - **metadata**: (Optional) - returned if supplied in the call to [`create_payment_token`](/api-reference/payment-tokens/create-payment-token).

Authentication

x-truemed-api-keystring

Sales channel API key for merchant server-to-server authentication

Path parameters

provision_token_request_idstringRequired

The ID of a ProvisionTokenRequest returned via create_payment_token

Response

Successful response
metadatastring or null

The metadata string you provided as part of the create_payment_token request for the ProvisionTokenRequest. Will be null if no metadata was provided

payment_tokenstring or null

The PaymentToken created as part of create_payment_token for the ProvisionTokenRequest. Will be null if the PaymentToken has not been provisioned yet

Errors

400
Bad Request Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error
501
Not Implemented Error